package com.heyu.api.data.enums;

public enum ActionEnums {


    Admin_Cancel("Admin_Cancel", "admin取消按钮", "/mm/order/cancel", OrderStatusEnums.cancel.getStatus()),

    App_Apply_Cancel("App_Apply_Cancel", "取消订单", "/app/order/applyCancel", OrderStatusEnums.apply_cancel.getStatus()),

    Admin_Delivered("Admin_Delivered", "admin妥投,确认收货", "/mm/order/delivered",OrderStatusEnums.delivered.getStatus()),

    App_Delivered("App_Delivered", "app妥投,确认收货", "/app/order/delivered",OrderStatusEnums.delivered.getStatus()),

    Admin_Shipped("Admin_Shipped", "admin签收按钮", "/mm/order/shipped",OrderStatusEnums.shipped.getStatus()),

    App_Shipped("App_Shipped", "app签收按钮", "/app/order/shipped",OrderStatusEnums.shipped.getStatus()),

    Admin_To_Shipping("Admin_To_Shipping", "admin发货按钮", "/mm/order/toShipping", OrderStatusEnums.shipping.getStatus()),

    Admin_Un_Shipping("Admin_Un_Shipping", "admin取消发货", "/mm/order/unShipping",OrderStatusEnums.wait_shipping.getStatus()),

    App_Delete("App_Delete", "app删除按钮", "/app/order/delete",OrderStatusEnums.delete.getStatus()),

    App_Close("App_Close", "app关闭订单", "/app/order/close",OrderStatusEnums.close.getStatus()),

    App_Apply_Refund("App_Apply_Refund", "app申请退款,接口参数refundType传1 ", "/app/reverse/add",
            ReverseStatusEnums.buyer_apply_refund_wait_seller_agree.getStatus()),

    App_Apply_Return_Refund("App_Apply_Return_Refund", "app申请退货退款，接口参数refundType传2",
            "/app/reverse/add",ReverseStatusEnums.buyer_apply_return_wait_seller_agree.getStatus()),

    Admin_Seller_Agree_Cancel("Admin_Seller_Agree_Cancel", "卖家同意取消", "/mm/reverse/approve",
            ReverseStatusEnums.seller_agree_cancel.getStatus()),

    Admin_Seller_Reject_Cancel("Admin_Seller_Reject_Cancel", "卖家拒绝取消", "/mm/reverse/approve",
            ReverseStatusEnums.seller_reject_cancel.getStatus()),

    Admin_Seller_Agree_Refund("Admin_Seller_Agree_Refund", "卖家同意退款", "/mm/reverse/approve",
            ReverseStatusEnums.agree_refund.getStatus()),

    Admin_Seller_Reject_Refund("Admin_Seller_Reject_Refund", "卖家拒绝退款", "/mm/reverse/approve",
            ReverseStatusEnums.reject_refund.getStatus()),

    Admin_Seller_Agree_Return_Refund("Admin_Seller_Agree_Refund", "卖家同意退货退款", "/mm/reverse/approve",
            ReverseStatusEnums.seller_agree_return_wait_buyer_post.getStatus()),

    Admin_Seller_Reject_Return_Refund("Admin_Seller_Reject_Refund", "卖家拒绝退货退款", "/mm/reverse/approve"
            , ReverseStatusEnums.reject_return.getStatus()),

    App_Buyer_Upload_Reverse_TrackNumber("App_Buyer_Upload_Reverse_TrackNumber", "买家上传逆向tracknumber",
            "/app/reverse/tracknumber",ReverseStatusEnums.shipping.getStatus()),

    Admin_Seller_Agree_Sign_Receipt("Admin_Seller_Agree_Sign_Receipt", "卖家同意签收", "/mm/reverse/approve",
            ReverseStatusEnums.agree_sign_receipt.getStatus()),

    Admin_Seller_Reject_Sign_Receipt("Admin_Seller_Reject_Sign_Receipt", "卖家拒绝签收", "/mm/reverse/approve",
            ReverseStatusEnums.reject_sign_receipt.getStatus()),

    Admin_Seller_Qa_Check_Finished("Admin_Seller_Qa_Check_Finished", "卖家质检完成", "/mm/reverse/approve",
            ReverseStatusEnums.qa_check_finished.getStatus()),

    App_Buyer_Reverse_Order_Close("App_Buyer_Reverse_Order_Close", "买家申请退款后，可关闭逆向订单", "/app/reverse/close",
            ReverseStatusEnums.close.getStatus()),

    App_Buyer_Submit_Comment("App_Buyer_Submit_Comment", "app买家提交评论", "/app/comment/add",
            OrderStatusEnums.delivered.getStatus()),

    Admin_Seller_Agree_Comment("Admin_Seller_Agree_Comment", "卖家同意评论", "/mm/comment/agree",
            OrderStatusEnums.delivered.getStatus()),

    Admin_Seller_Reject_Comment("Admin_Seller_Reject_Comment", "卖家拒绝评论", "/mm/comment/reject",
            OrderStatusEnums.delivered.getStatus()),

    App_Buyer_Apply_Draw("App_Buyer_Apply_Draw", "买家申请提现", "/app/draw/apply",
            OrderStatusEnums.delivered.getStatus()),

    Admin_Seller_Agree_Draw("Admin_Seller_Agree_Draw", "卖家同意提现", "/mm/draw/agree",
            AwardStatusEnums.draw_success.getStatus()),

    Admin_Seller_Reject_Draw("Admin_Seller_Reject_Draw", "卖家拒绝提现", "/mm/draw/reject",
            AwardStatusEnums.draw_failed.getStatus()),

    App_To_Pay("App_To_Pay", "去支付", "/app/to/pay", OrderStatusEnums.wait_shipping.getStatus()),

    Admin_Track_Logistics("Admin_Track_Logistics", "admin查看物流", "/mm/logistics/query", null),

    App_Track_Logistics("Admin_Track_Logistics", "app查看物流", "/app/logistics/query", null),
    ;

    /***
     * 取消按钮
     */
    private String buttonName;


    /***
     * 描述
     */
    private String desc;


    /***
     * 接口url
     */
    private String interfaceUri;

    /***
     * 目标状态名称
     *
     */
    private String targetStatus ;

    ActionEnums(String buttonName, String desc, String interfaceUri, String targetStatus) {
        this.buttonName = buttonName;
        this.desc = desc;
        this.interfaceUri = interfaceUri;
        this.targetStatus = targetStatus;
    }

    public String getButtonName() {
        return buttonName;
    }

    public void setButtonName(String buttonName) {
        this.buttonName = buttonName;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public String getInterfaceUri() {
        return interfaceUri;
    }

    public void setInterfaceUri(String interfaceUri) {
        this.interfaceUri = interfaceUri;
    }

    public String getTargetStatus() {
        return targetStatus;
    }

    public void setTargetStatus(String targetStatus) {
        this.targetStatus = targetStatus;
    }
}
